[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.GetFieldNames

Gets a list of the field names in the specified table

## Declaration

Source position: sqldb.pp line 284

`public procedure TSQLConnection.GetFieldNames(`
`const TableName: string;`
`List: TStrings`
`); virtual;`

## Arguments

`TableName` |  | Name of the table for to retrieve the field names.
`List` |  | Stringlist in which to return the field names.

## Description

GetFieldNames will return the names of the fields in TableName in list

List is cleared before adding the names.

## Errors

If a non-existing tablename is passed, no error will be raised.

## See also

TSQLConnection.GetTableNames |  | Get a list of the tables in the specified database
TSQLConnection.GetProcedureNames |  | Gets a list of Stored Procedures in the Database